Index: tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 1025)
+++ tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 1026)
@@ -63,11 +63,9 @@
 	 * Creates a R charts engine implementation.
 	 */
 	public RChartsEngine() {
-		this(TXMPreferences.getString(RChartsEnginePreferences.OUTPUT_FORMAT, RChartsEnginePreferences.PREFERENCE_NODE));
+		this(RChartsEnginePreferences.getInstance().getString(RChartsEnginePreferences.OUTPUT_FORMAT));
 	}
-	
 
-
 	
 	@Override
 	public File createChartFile(Object chart, File file)	{
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 1025)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 1026)
@@ -90,7 +90,7 @@
 		List<String> textsIds = corpus.getTextsID();
 		System.out.println("Exporting annotations of "+StringUtils.join(textsIds, ", ")+".");
 
-		File resultDirectory = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "results/"+corpus.getName()+"_annotations");
+		File resultDirectory = new File(Toolbox.getTxmHomePath(), "results/"+corpus.getName()+"_annotations");
 		DeleteDir.deleteDirectory(resultDirectory);
 		resultDirectory.mkdirs();
 		if (!(resultDirectory.exists() && resultDirectory.canWrite())) {
Index: tmp/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/preferences/TextsBalancePreferencePage.java
===================================================================
--- tmp/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/preferences/TextsBalancePreferencePage.java	(revision 1025)
+++ tmp/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/preferences/TextsBalancePreferencePage.java	(revision 1026)
@@ -87,7 +87,7 @@
 	 */
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(TextsBalancePreferences.PREFERENCES_NODE));
+		this.setPreferenceStore(new TXMPreferenceStore(TextsBalancePreferences.getInstance().getPreferencesNodeQualifier()));
 		this.setDescription("Texts balance charts.");
 		this.setImageDescriptor(TextsBalanceAdapterFactory.ICON);
 	}
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/preferences/ProgressionPreferences.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/preferences/ProgressionPreferences.java	(revision 1025)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/preferences/ProgressionPreferences.java	(revision 1026)
@@ -15,10 +15,6 @@
 public class ProgressionPreferences extends TXMPreferences {
 
 
-	// auto populate the preference node qualifier from the current bundle id
-	//public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(ProgressionPreferences.class).getSymbolicName();
-
-
 	/** The Constant REPEAT_VALUES. */
 	public static final String REPEAT_SAME_VALUES = "repeat_same_values"; //$NON-NLS-1$
 
@@ -35,7 +31,7 @@
 	
 	/**
 	 * Gets the instance.
-	 * @return
+	 * @return the instance
 	 */
 	public static TXMPreferences getInstance()	{
 		if (!TXMPreferences.instances.containsKey(ProgressionPreferences.class)) {
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesTableLabelProvider.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesTableLabelProvider.java	(revision 1025)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesTableLabelProvider.java	(revision 1026)
@@ -53,7 +53,7 @@
 	public SpecificitiesTableLabelProvider() {
 		//this.partindexes = partindexes;
 		//showPValues = "true".equals(Toolbox.getParam(SpecificitiesPreferencePage.SPECIF_PVALUES)); //$NON-NLS-1$
-		this.format = TXMPreferences.getString(SpecificitiesPreferences.FORMAT, SpecificitiesPreferences.PREFERENCES_NODE);
+		this.format = SpecificitiesPreferences.getInstance().getString(SpecificitiesPreferences.FORMAT);
 		if (format == null || format.trim().length() == 0) {
 			format = "%,.1f"; //$NON-NLS-1$
 		}
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/preferences/SpecificitiesPreferencePage.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/preferences/SpecificitiesPreferencePage.java	(revision 1025)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/preferences/SpecificitiesPreferencePage.java	(revision 1026)
@@ -90,7 +90,7 @@
 	
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(SpecificitiesPreferences.PREFERENCES_NODE));
+		this.setPreferenceStore(new TXMPreferenceStore(SpecificitiesPreferences.getInstance().getPreferencesNodeQualifier()));
 		this.setTitle(SpecificitiesUIMessages.SpecificitiesPreferencePage_2);
 		this.setImageDescriptor(SpecificitiesAdapterFactory.ICON);
 	}
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/LemmaProjection.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/LemmaProjection.java	(revision 1025)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/LemmaProjection.java	(revision 1026)
@@ -220,7 +220,7 @@
 					FileCopy.copyFiles(txmDirectory, previousXMLTXMDirectory);
 
 					// work
-					File noMatchsFile = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "results/nomatch.txt");
+					File noMatchsFile = new File(Toolbox.getTxmHomePath(), "results/nomatch.txt");
 					HashSet<String> noMatchsSet = new HashSet<String>();
 					ConsoleProgressBar cpb = new ConsoleProgressBar(files.length);
 					for (File xmlFile : files) {
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/RemoveProperties.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/RemoveProperties.java	(revision 1025)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/RemoveProperties.java	(revision 1026)
@@ -108,7 +108,7 @@
 					FileCopy.copyFiles(txmDirectory, previousXMLTXMDirectory);
 
 					// work
-					File noMatchsFile = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "results/nomatch.txt");
+					File noMatchsFile = new File(Toolbox.getTxmHomePath(), "results/nomatch.txt");
 					HashSet<String> noMatchsSet = new HashSet<String>();
 					ConsoleProgressBar cpb = new ConsoleProgressBar(files.length);
 					for (File xmlFile : files) {
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Train.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Train.java	(revision 1025)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Train.java	(revision 1026)
@@ -343,7 +343,7 @@
 					// Call treetagger-train
 					if (ttSrcFile.exists() && lexique2.exists() && openclassfile.exists()) {
 						System.out.println("Running ");
-						String treetaggerBinDirectory = new File(TXMPreferences.getString(TreeTaggerPreferences.INSTALL_PATH, TBXPreferences.PREFERENCES_NODE), "bin").getAbsolutePath();
+						String treetaggerBinDirectory = new File(TreeTaggerPreferences.getInstance().getString(TreeTaggerPreferences.INSTALL_PATH), "bin").getAbsolutePath();
 						if (!treetaggerBinDirectory.endsWith("/")) treetaggerBinDirectory += "/";
 
 						TreeTagger tt = new TreeTagger(treetaggerBinDirectory, options);
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/preferences/TreeTaggerPreferencePage.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/preferences/TreeTaggerPreferencePage.java	(revision 1025)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/preferences/TreeTaggerPreferencePage.java	(revision 1026)
@@ -57,7 +57,7 @@
 	
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(TreeTaggerPreferences.PREFERENCES_NODE));
+		this.setPreferenceStore(new TXMPreferenceStore(TreeTaggerPreferences.getInstance().getPreferencesNodeQualifier()));
 	}
 
 }
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 1025)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 1026)
@@ -232,7 +232,7 @@
 					+"\n	};"
 					+"\n}"
 					+"\n} catch(e) {Element.prototype.scrollIntoViewIfNeeded = Element.prototype.scrollIntoView}";
-	protected boolean fastWordHighLight = TXMPreferences.getBoolean(SynopticEditionPreferences.FAST_HIGHLIGHT, SynopticEditionPreferences.PREFERENCES_NODE);
+	protected boolean fastWordHighLight = SynopticEditionPreferences.getInstance().getBoolean(SynopticEditionPreferences.FAST_HIGHLIGHT);
 	private ArrayList<ProgressListener> beforeHighlighListeners;
 	public ArrayList<ProgressListener> getBeforeHighlighListeners() {
 		return beforeHighlighListeners;
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferences.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferences.java	(revision 1025)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferences.java	(revision 1026)
@@ -1,7 +1,5 @@
 package org.txm.edition.rcp.preferences;
 
-import org.eclipse.core.runtime.preferences.DefaultScope;
-import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
 import org.txm.core.preferences.TXMPreferences;
 
@@ -14,16 +12,27 @@
  */
 public class SynopticEditionPreferences extends TXMPreferences {
 
-	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(SynopticEditionPreferences.class).getSymbolicName();
 	
 	/**
 	 * 
 	 */
 	public static final String FAST_HIGHLIGHT = "fast_highlight"; //$NON-NLS-1$
 
+	
+	/**
+	 * Gets the instance.
+	 * @return the instance
+	 */
+	public static TXMPreferences getInstance()	{
+		if (!TXMPreferences.instances.containsKey(SynopticEditionPreferences.class)) {
+			new SynopticEditionPreferences();
+		}
+		return TXMPreferences.instances.get(SynopticEditionPreferences.class);
+	}
+	
 	@Override
 	public void initializeDefaultPreferences() {
-		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
+		Preferences preferences = this.getDefaultPreferencesNode();
 		preferences.putBoolean(FAST_HIGHLIGHT, true);
 	}
 }
